### Method

# GLib Completion complete

deprecated: 2.26

#### Declaration

    GList*
    g_completion_complete (
      GCompletion* cmp,
      const gchar* prefix,
      gchar** new_prefix
    )

#### Description

Attempts to complete the string `prefix` using the `GCompletion` target items.

Deprecated since: 2.26

Rarely used API.

This method is not directly available to language bindings.

#### Parameters

`prefix`

  Type: `const gchar*`

  The prefix string, typically typed by the user, which is compared with each of the items.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`new_prefix`

  Type: `gchar**`

  If non-`NULL`, returns the longest prefix which is common to all items that matched `prefix`, or `NULL` if no items matched `prefix`. This string should be freed when no longer needed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `gpointer`

The list of items whose strings begin with `prefix`. This should not be changed.

The returned data is owned by the instance.